{ config, pkgs, lib, ... }:

{
  imports =
    [
      ./hardware-configuration.nix

      ../../configuration/desktop

      ./initrd.nix
    ];

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.loader.timeout = 0;

  boot.initrd.luks = {
    devices.lvm = {
      device = "/dev/disk/by-uuid/43275d9a-8fe8-4631-bf9c-a95d692b534f";
      bypassWorkqueues = true;
    };
  };

  networking.hostName = "zinc";

  services.wg-clerie = {
    enable = true;
    ipv6s = [ "2a01:4f8:c0c:15f1::8109/128" ];
    ipv4s = [ "10.20.30.109/32" ];
  };

  system.stateVersion = "23.05";
}


