{ config, ... }:

{

  boot.initrd.network.enable = true;
  boot.initrd.network.ssh = {
    enable = true;
    port = 1022;
    #shell = "/bin/cryptsetup-askpass";
    authorizedKeys = config.users.users.clerie.openssh.authorizedKeys.keys;
    hostKeys = [
      "/var/src/secrets/initrd/ssh_host_ed25519_key"
    ];
  };
  boot.initrd.kernelModules = [
    "igc" # integrated rj45 network interface
    "cdc_ether" # external 5G modem via usb
  ];
  boot.kernelParams = [ "ip=dhcp" ];

  boot.initrd.network.wireguard = {
    enable = true;
    ipv6s = [ "2a01:4f8:c0c:15f1::8110/128" ];
    ipv4s = [ "10.20.30.110/32" ];
    privateKeyFile = "/var/src/secrets/wireguard/wg-initrd";
  };

}
